bm::rsc_sparse_vector< Val, SV >::statistics Struct Reference

`#include <bmsparsevec_compr.h>`

Inheritance diagram for bm::rsc_sparse_vector< Val, SV >::statistics:
[legend]
Collaboration diagram for bm::rsc_sparse_vector< Val, SV >::statistics:
[legend]

## Additional Inherited Members

Public Member Functions inherited from bm::bv_statistics
| bv_statistics () BMNOEXCEPT
void | add_bit_block () BMNOEXCEPT
| cound bit block
void | add_gap_block (unsigned capacity, unsigned length, unsigned level) BMNOEXCEPT
| count gap block
void | reset () BMNOEXCEPT
| Reset statisctics.
void | add (const bv_statistics &st) BMNOEXCEPT
| Sum data from another sttructure.
Data Fields inherited from bm::bv_statistics
size_t | bit_blocks
| Number of bit blocks.
size_t | gap_blocks
| Number of GAP blocks.
size_t | ptr_sub_blocks
| Number of sub-blocks.
size_t | bv_count
| Number of bit-vectors.
size_t | max_serialize_mem
| estimated maximum memory for serialization
size_t | memory_used
| memory usage for all blocks and service tables
size_t | gap_cap_overhead
| gap memory overhead between length and capacity
gap_word_t | gap_levels [bm::gap_levels]
| GAP block lengths in the bvect.
unsigned long long | gaps_by_level [bm::gap_levels]
| number of GAP blocks at each level

## Detailed Description

template<class Val, class SV>
struct bm::rsc_sparse_vector< Val, SV >::statistics

Statistical information about memory allocation details.

Definition at line 93 of file bmsparsevec_compr.h.

The documentation for this struct was generated from the following file:

- bmsparsevec_compr.h